### Hierarchy

- Drawable
  - MetaCircle

## Index

### Constructors

- constructor

### Properties

- center
- radius

### Methods

- getObjectToSerialize
- minDistance

### Object literals

- descriptor

## Constructors

### constructor

- new MetaCircle(center: vec2, radius: number): MetaCircle

- - Defined in drawables/shapes/meta-circle.ts:36

  #### Parameters

  - ##### center: vec2

  - ##### radius: number

  #### Returns MetaCircle

## Properties

### center

center: vec2

- Defined in drawables/shapes/meta-circle.ts:38

### radius

radius: number

- Defined in drawables/shapes/meta-circle.ts:38

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Overrides Drawable.getObjectToSerialize

  - Defined in drawables/shapes/meta-circle.ts:46

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Overrides Drawable.minDistance

  - Defined in drawables/shapes/meta-circle.ts:42

  #### Parameters

  - ##### target: vec2

  #### Returns number

## Object literals

### Static descriptor

descriptor: object

Overrides Drawable.descriptor

- Defined in drawables/shapes/meta-circle.ts:9

### empty

empty: MetaCircle = new MetaCircle(vec2.fromValues(10000, 10000), -1000)

- Defined in drawables/shapes/meta-circle.ts:35

### shaderCombinationSteps

shaderCombinationSteps: number[] = [0, 1, 2, 3, 8, 16]

- Defined in drawables/shapes/meta-circle.ts:34

### uniformCountMacroName

uniformCountMacroName: string = "META_CIRCLE_COUNT"

- Defined in drawables/shapes/meta-circle.ts:33

### propertyUniformMapping

propertyUniformMapping: object

- Defined in drawables/shapes/meta-circle.ts:29

### center

center: string = "metaCircleCenters"

- Defined in drawables/shapes/meta-circle.ts:30

### radius

radius: string = "metaCircleRadii"

- Defined in drawables/shapes/meta-circle.ts:31

### sdf

sdf: object

- Defined in drawables/shapes/meta-circle.ts:10

### distanceFunctionName

distanceFunctionName: string = "metaCircleMinDistance"

- Defined in drawables/shapes/meta-circle.ts:27

### shader

shader: string = `uniform vec2 metaCircleCenters[META_CIRCLE_COUNT];uniform float metaCircleRadii[META_CIRCLE_COUNT];const float k = 32.0;float metaCircleMinDistance(vec2 target, out float colorIndex) {colorIndex = 5.0;float res = 0.0;for (int i = 0; i < META_CIRCLE_COUNT; i++) {float dist = distance(metaCircleCenters[i], target) - metaCircleRadii[i];res += exp2(-k * dist);}return -log2(res) / k;}`

- Defined in drawables/shapes/meta-circle.ts:11